Dragboard (JavaFX 17)

Module javafx.graphics
Package javafx.scene.input

## Class Dragboard

- java.lang.Object
- - javafx.scene.input.Clipboard
  - - javafx.scene.input.Dragboard

-     public final class Dragboard
      extends Clipboard

  A drag and drop specific `Clipboard`.
  Since:
    JavaFX 2.0

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Image` | `getDragView()` | Gets the image used as a drag view.
    `double` | `getDragViewOffsetX()` | Gets the x position of the cursor of the drag view image.
    `double` | `getDragViewOffsetY()` | Gets the y position of the cursor of the drag view image.
    `Set<TransferMode>` | `getTransferModes()` | Gets set of transport modes supported by source of this drag opeation.
    `void` | `setDragView​(Image image)` | Sets the visual representation of data being transfered in a drag and drop gesture.
    `void` | `setDragView​(Image image, double offsetX, double offsetY)` | Sets the visual representation of data being transfered in a drag and drop gesture.
    `void` | `setDragViewOffsetX​(double offsetX)` | Sets the x position of the cursor of the drag view image.
    `void` | `setDragViewOffsetY​(double offsetY)` | Sets the y position of the cursor of the drag view image.

    - ### Methods declared in class javafx.scene.input.Clipboard

      `clear, getContent, getContentTypes, getFiles, getHtml, getImage, getRtf, getString, getSystemClipboard, getUrl, hasContent, hasFiles, hasHtml, hasImage, hasRtf, hasString, hasUrl, setContent`

    - ### Methods declared in class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getTransferModes

          public final Set<TransferMode> getTransferModes()

      Gets set of transport modes supported by source of this drag opeation.
      Returns:
        set of supported transfer modes

    - #### setDragView

          public void setDragView​(Image image,
                                  double offsetX,
                                  double offsetY)

      Sets the visual representation of data being transfered in a drag and drop gesture. Uses the given image for the drag view with the offsetX and offsetY specifying cursor position over the image. This method should be called only when starting drag and drop operation in the DRAG_DETECTED handler, calling it at other times doesn't have any effect.
      Parameters:
        `image` - image to use for the drag view
        `offsetX` - x position of the cursor over the image
        `offsetY` - y position of the cursor over the image
      Since:
        JavaFX 8.0

    - #### setDragView

          public void setDragView​(Image image)

      Sets the visual representation of data being transfered in a drag and drop gesture. This method should be called only when starting drag and drop operation in the DRAG_DETECTED handler, calling it at other times doesn't have any effect.
      Parameters:
        `image` - image to use for the drag view
      Since:
        JavaFX 8.0

    - #### setDragViewOffsetX

          public void setDragViewOffsetX​(double offsetX)

      Sets the x position of the cursor of the drag view image. This method should be called only when starting drag and drop operation in the DRAG_DETECTED handler, calling it at other times doesn't have any effect.
      Parameters:
        `offsetX` - x position of the cursor over the image
      Since:
        JavaFX 8.0

    - #### setDragViewOffsetY

          public void setDragViewOffsetY​(double offsetY)

      Sets the y position of the cursor of the drag view image. This method should be called only when starting drag and drop operation in the DRAG_DETECTED handler, calling it at other times doesn't have any effect.
      Parameters:
        `offsetY` - y position of the cursor over the image
      Since:
        JavaFX 8.0

    - #### getDragView

          public Image getDragView()

      Gets the image used as a drag view. This method returns meaningful value only when starting drag and drop operation in the DRAG_DETECTED handler, it returns null at other times.
      Returns:
        the image used as a drag view
      Since:
        JavaFX 8.0

    - #### getDragViewOffsetX

          public double getDragViewOffsetX()

      Gets the x position of the cursor of the drag view image. This method returns meaningful value only when starting drag and drop operation in the DRAG_DETECTED handler, it returns 0 at other times.
      Returns:
        x position of the cursor over the image
      Since:
        JavaFX 8.0

    - #### getDragViewOffsetY

          public double getDragViewOffsetY()

      Gets the y position of the cursor of the drag view image. This method returns meaningful value only when starting drag and drop operation in the DRAG_DETECTED handler, it returns 0 at other times.
      Returns:
        y position of the cursor over the image
      Since:
        JavaFX 8.0